You are not logged in.

#1651 2010-04-09 22:00:22

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

Damn! big_smile

Kernel 2.6.33 comes with KMS enabled by default and I've only realized this after switching to xf86-video-ati (since fglrx froze) and asking about it in IRC. Now, I shall try with KMS disabled and see if it works. If it does, I'll update my xorg-server package.

Thanks for all the help smile


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1652 2010-04-09 22:05:22

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

dcc24 wrote:

Damn! big_smile

Kernel 2.6.33 comes with KMS enabled by default and I've only realized this after switching to xf86-video-ati (since fglrx froze) and asking about it in IRC. Now, I shall try with KMS disabled and see if it works. If it does, I'll update my xorg-server package.

Thanks for all the help smile

Hmm... smile i didnt know that fact about 2.6.33... my i686 system is very fresh and clean, made just to build catalyst packages and testing it...
Im not disabling KMS in any way, piece of my /boot/grub/menu.lst:
kernel /boot/vmlinuz26 root=/dev/disk/by-uuid/1aa731c0-f626-4d01-a551-8eed3c2a35f3 ro vga=794 splash quiet

also i have got no /etc/modprobe.d/radeon.conf file...
So im not forcing KMS to be disabled.

Offline

#1653 2010-04-09 22:11:59

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

Well, you must have something that disables KMS hmm Because now, after adding nomodset to the grub line, everything works!

Now, I shall update my aur package. Thanks for all the help! Arch-catalyst wouldn't exist without you smile


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1654 2010-04-09 22:22:10

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

dcc24 wrote:

Well, you must have something that disables KMS hmm Because now, after adding nomodset to the grub line, everything works!

Hehe wink
Maybe, well after i force KMS disabling - its also working without problems wink

dcc24 wrote:

Now, I shall update my aur package. Thanks for all the help! Arch-catalyst wouldn't exist without you smile

Naah, you have figure it out by yourself, and you gave us some important info about KMS - i shall now update my repo post with it wink

Offline

#1655 2010-04-09 22:31:36

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
dcc24 wrote:

Well, you must have something that disables KMS hmm Because now, after adding nomodset to the grub line, everything works!

Hehe wink
Maybe, well after i force KMS disabling - its also working without problems wink

Well, I still wonder how that works for you smile


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1656 2010-04-09 22:33:43

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

New AUR package:

xorg-server 1.8.0
      with fedora patch that fixes slow resizing/maximizing
      with fglrx-version patch that provides catalyst 10.4 compatibility (thanks to Vi0L0)

This essentially works the same way as Vi0L0's package. Only difference is this one uses the fedora patch instead of the backclear patch. Use what works for you smile

Get it here: http://aur.archlinux.org/packages.php?ID=36328
Old version for xorg-server 1.7.6 is here: http://aur.archlinux.org/packages.php?ID=35686

Last edited by dcc24 (2010-04-09 22:35:43)


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1657 2010-04-10 07:11:55

bautz
Member
Registered: 2010-03-20
Posts: 15

Re: The AMD/ATI Bar & Grill

Only a little question: does fglrx works without a xorg.conf in Xorg 1.8?


My problem with catalyst 10.4 http://bbs.archlinux.org/viewtopic.php?id=93555
Sony Vaio VPC EB1Z1E/B notebook
Intel Core i5-430M, 4GB ram DDR3, HD 500GB, Display 15.6" 1920x1080, ATI Radeon HD5650
Arch x86_64 testing

Offline

#1658 2010-04-10 07:14:14

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

bautz wrote:

Only a little question: does fglrx works without a xorg.conf in Xorg 1.8?

It doesn't for me. Even if you manage to make it work, Catalyst Control Center and ATI OverDrive stuff won't work without a ServerLayout section in xorg.conf. Still, a simple aticonfig --initial on an empty xorg.conf should be enough.

Last edited by dcc24 (2010-04-10 07:14:44)


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1659 2010-04-10 07:51:20

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: The AMD/ATI Bar & Grill

xorg does not use proprietary drivers (neither nvidia nor fglrx) without being told so by the xorg.conf. I don't think that this changed.


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#1660 2010-04-10 09:10:39

kasper
Member
Registered: 2009-11-03
Posts: 8

Re: The AMD/ATI Bar & Grill

Hi folks!

I did an upgrade just now and got the kernel 2.6.33. The resolution changes automatically on boot, no matter what value i set for vga and there is also a problem with screen corruption when exiting X. After looking around the Internet and reading some of your posts, I have disabled KMS by adding "nomodeset" to the kernel line in /boot/grub/menu.lst. I have also installed catalyst 10.3 from AUR and it works fine so far.

Offline

#1661 2010-04-10 09:22:33

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

FYI, catalyst 10.3 is bad, you should always use 10.4 (catalyst-test in AUR) if you don't have a good reason not to.

Last edited by dcc24 (2010-04-10 13:42:40)


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1662 2010-04-10 10:32:04

Armadillux
Member
From: Munich
Registered: 2010-03-03
Posts: 8

Re: The AMD/ATI Bar & Grill

Hey folks i got a question!

I'm using the [catalyst] for x86_64 repo with stock kernel 2.6.32-Arch.

-Syu'ing worked like a charme since u added the openssl-compatibility deps. Now pacman moans about (when upgrading to to catalyst 10.3-2 & openssl-compatibility-0.9.8-2)

checking for file conflicts                   [#####################] 100%
error: failed to commit transaction (conflicting files)
openssl-compatibility: /usr/lib/libcrypto.so.0.9.8 exists in filesystem
openssl-compatibility: /usr/lib/libssl.so.0.9.8 exists in filesystem
Errors occurred, no packages were upgraded.

Now im not quite sure what to do, ignore that pkg or install it from aur or something different?

What would be the best way?

Offline

#1663 2010-04-10 10:37:19

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

Your system is not up-to-date. Do pacman -Syy and pacman -Suu. Your system should get updated to kernel 2.6.33 and openssl 1.0. That error will go away.


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1664 2010-04-10 12:07:27

Armadillux
Member
From: Munich
Registered: 2010-03-03
Posts: 8

Re: The AMD/ATI Bar & Grill

Ok, i also checked my pacman.log.. System never got updated to 2.6.33 although the mirrors im using are up-to-date.

Guess i'll upgrade manually?!

Offline

#1665 2010-04-10 12:12:10

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

If pacman -Syu shows no updates, and "uname -a" reports 2.6.32, then the only explanation I can think of is an out-of-sync mirror.


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1666 2010-04-10 12:21:59

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

Armadillux wrote:

Ok, i also checked my pacman.log.. System never got updated to 2.6.33 although the mirrors im using are up-to-date.

Guess i'll upgrade manually?!

* Comment [catalyst] repo in pacman.conf   <~~ That should give you fresh system, without updating catalyst, and without error about those openssl libs
* pacman -Syu
* Uncomment [catalyst] repo in pacman.conf  <~~ That should give you fresh catalyst, with older openssl libs (needed for older xorg-server)
* pacman -Syu
* Reboot

Last edited by Vi0L0 (2010-04-10 12:22:45)

Offline

#1667 2010-04-10 13:10:33

Armadillux
Member
From: Munich
Registered: 2010-03-03
Posts: 8

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
Armadillux wrote:

Ok, i also checked my pacman.log.. System never got updated to 2.6.33 although the mirrors im using are up-to-date.

Guess i'll upgrade manually?!

* Comment [catalyst] repo in pacman.conf   <~~ That should give you fresh system, without updating catalyst, and without error about those openssl libs
* pacman -Syu
* Uncomment [catalyst] repo in pacman.conf  <~~ That should give you fresh catalyst, with older openssl libs (needed for older xorg-server)
* pacman -Syu
* Reboot

Hey ViOLO!

I tried this too, but i got a bunch of dep- conflicts:

:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...
:: xf86-input-evdev conflicts with xorg-server-catalyst-maximize-fix. Remove xorg-server-catalyst-maximize-fix? [Y/n] y
:: xf86-input-evdev conflicts with catalyst. Remove catalyst? [Y/n] y
error: failed to prepare transaction (could not satisfy dependencies)
:: compiz-core: requires libgl
:: mesa: requires libgl
:: mplayer: requires libgl
:: planeshift: requires libgl
:: qt: requires libgl
:: xorg-utils: requires libgl

I'm thinking in of forcing the upgrade, 'cause after uncommenting [catalyst] the deps should be satisfied again, shouldn't they?

~Great support btw for us ATI- users! Thanks wink~

Offline

#1668 2010-04-10 13:15:09

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

@Armadillux:
Wait wait wait! smile

* pacman -Rd xorg-server-catalyst-maximize-fix
* pacman -Rd catalyst
* Comment [catalyst] repo in pacman.conf   <~~ That should give you fresh system, without updating catalyst, and without error about those openssl libs
* pacman -Syu        <~~ i guess this should also install libgl
* Uncomment [catalyst] repo in pacman.conf  <~~ That should give you fresh catalyst, with older openssl libs (needed for older xorg-server)
* pacman -Syy
* pacman -Suu   <~~ sry forget about that earlier, must have
* pacman -S xorg-server-catalyst-maximize-fix
* pacman -Rd libgl
* pacman -S catalyst
* pacman -Suu   <~~ just in case...
* Reboot

Last edited by Vi0L0 (2010-04-10 13:32:57)

Offline

#1669 2010-04-10 13:38:05

kasper
Member
Registered: 2009-11-03
Posts: 8

Re: The AMD/ATI Bar & Grill

dcc24 wrote:

FYI, catalyst 10.3 is bad, you should always use 10.4 (catalyst-test in AUR) if you have a good reason not to.

Following your advice, I have installed catalyst 10.4 from AUR. It works well with the X.org server 1.7.6. Also it does not require the openssl-compatibility package. Thanks!

Offline

#1670 2010-04-10 13:45:47

Armadillux
Member
From: Munich
Registered: 2010-03-03
Posts: 8

Re: The AMD/ATI Bar & Grill

I had the answer right before my eyes, but i guess i somewhat lost my sight for the easy way! wink

Sure, my mirror(s) are up-to-date, but not the topmost in the mirrorlist ranked by rankmirrors!
I just had to comment the non uptodate- mirrors e voila!

Everything worked like a charm. big_smile

uname -r
2.6.33-ARCH
pacman -Qi catalyst
Name           : catalyst
Version        : 10.3-2
URL            : http://www.ati.amd.com
Licenses       : custom  
Groups         : None
Provides       : catalyst  libgl  libatical  
Depends On     : xorg-server<1.7.0  kernel26>=2.6.29  kernel26<2.6.34  
                 kernel26-headers  netkit-bsd-finger  libstdc++5  libxrandr  
                 libsm  fontconfig  libxcursor  libxi  gcc-libs  
                 openssl-compatibility  
Optional Deps  : None
Required By    : compiz-core  mesa  mplayer  planeshift  qt  
                 xorg-server-catalyst-maximize-fix  xorg-utils  
Conflicts With : catalyst  catalyst-utils  nvidia  libgl  catalyst-leaked  
                 xf86-input-evdev>2.2.5-1  xf86-input-keyboard>1.3.2-2  
                 xf86-input-mouse>1.4.0-2  xf86-input-synaptics>1.1.3-1  
                 xf86-video-vesa>2.2.0-1  xf86-video-ati  xf86-video-radeonhd  
                 ati-dri  
Replaces       : None
Installed Size : 67444.00 K
Packager       : Unknown Packager
Architecture   : x86_64
Build Date     : Fri 09 Apr 2010 04:26:55 PM CEST
Install Date   : Sat 10 Apr 2010 03:23:15 PM CEST
Install Reason : Explicitly installed
Install Script : Yes
Description    : AMD/ATI drivers for Radeon brand cards. Stock kernel

So thx again for your support!

Great Distri, great community, that's what i want! big_smile:D

Armadillux

Offline

#1671 2010-04-10 13:51:09

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

Armadillux wrote:

I had the answer right before my eyes, but i guess i somewhat lost my sight for the easy way! wink

Sure, my mirror(s) are up-to-date, but not the topmost in the mirrorlist ranked by rankmirrors!
I just had to comment the non uptodate- mirrors e voila!

Everything worked like a charm. big_smile

I see you are using catalyst 10.3. If you don't have a good reason not to, you should use 10.4 (catalyst-test). It has better performance and the "recommended" catalyst driver for xorg-server 1.8. It will also relieve you of the openssl-compatibility dependency.

Last edited by dcc24 (2010-04-10 13:51:48)


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

#1672 2010-04-10 15:31:30

Armadillux
Member
From: Munich
Registered: 2010-03-03
Posts: 8

Re: The AMD/ATI Bar & Grill

OK...
Is there a repo too?

Got it from the AUR though..

Offline

#1673 2010-04-10 15:59:48

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

Armadillux wrote:

OK...
Is there a repo too?

Got it from the AUR though..

Well there is a repo with catalyst-test but builded for xorg-server 1.8 : http://bbs.archlinux.org/viewtopic.php? … 53#p740353
Feel free to test it, we all gonna jump to xserver 1.8 is some time anyway.

Catalyst-test is beta driver and its sometimes not working at all wink, so i havent builded repo for it (+ such repo wouldnt be updated as often as [catalyst] main repo).
I guess catalyst 10.4 (which btw should be more stable than beta) shall be released on days (maybe max 2 weeks) - and then it will land in [catalyst] repo


Edit: xorg wiki is succesfully updating with xorg-server 1.8 informations... http://wiki.archlinux.org/index.php/Xorg

Last edited by Vi0L0 (2010-04-10 16:04:29)

Offline

#1674 2010-04-11 08:32:00

devadittya
Member
From: Bangalore
Registered: 2009-11-16
Posts: 127
Website

Re: The AMD/ATI Bar & Grill

Upgraded to 2.6.33 and X crashed. Was running catalyst-test 10.4

On start X, I get this:

/usr/bin/X: error while loading shared libraries: libcrypto.so 0.9.8 : cannot open shared object file. No such file or directory

on ^C

I get this:

giving up
xinit: No such file or directory (errno2) unable to connect to X server
xinit: No such process (errno3)

I did a pacman -Syy, and -Suu, and that didn't help either.

What is going on here?

Offline

#1675 2010-04-11 08:34:59

dcc24
Member
Registered: 2009-10-31
Posts: 723

Re: The AMD/ATI Bar & Grill

You are using an old X server. It is not updated, probably due to an out-of-sync mirror. Using a different mirror should solve it.


It is better to keep your mouth shut and be thought a fool than to open it and remove all doubt. (Mark Twain)

My AUR packages

Offline

Board footer

Powered by FluxBB